import * as r4 from "fhir/r4";

interface IPatientHeaderProps {
    patient: r4.Patient;
}

export default function PatientHeader(props: IPatientHeaderProps) {
    let name = "";
    if (props.patient.name) {
        name = props.patient.name[0].given?.join(" ") ?? "";
        name += " " + props.patient.name[0].family ?? "";
    }

    return (
        <div className="flex flex-col">
            <div className="flex flex-row">
                <div className="flex flex-col w-1/2">
                    <label className="">{name}</label>
                    <label className="text-sm">{props.patient.birthDate ?? ""}</label>
                    <label className="text-sm capitalize">{props.patient.gender}</label>
                </div>
            </div>
        </div>
    );
}