import Link from "next/link";
export default function Home() {
  return (
      <div className="min-h-screen flex flex-col items-center bg-gray-50 p-6 relative overflow-hidden sm:py-12">
          <h1 className="text-3xl font-bold text-center">Cambridge Diabetes Risk Score Demo</h1>

          <div className="relative overflow-x-auto shadow-md sm:rounded-lg my-2">
              <table className="w-full text-sm text-left text-gray-500">
                <tbody>
                  {{PLASMA_LAUNCH_ROWS}}
                </tbody>
              </table>
          </div>
      </div>
  );
}

interface ILaunchTableRowProps {
  href: string;
  text: string;
  buttonStyles: string;
}
function LaunchTableRow(props: ILaunchTableRowProps) {
    return (
      <tr className="bg-white border-b">
          <td className="px-6 py-4 text-right">
            <Link href={props.href} className={props.buttonStyles}>
              {props.text}
            </Link>
          </td>
          <td></td>
      </tr>
    );
}